
<p>Do sada smo se već upoznali s pojmom kodiranja: radi se o postupku kojim se skupu simbola domene injektivno pridjeljuju
kodne riječi kodomene. Općenito, domena može biti proizvoljan skup apstraktnih simbola (znamenke proizvoljnog brojevnog 
sustava, slova, određen skup slika, naredbe, itd.) dok je kodomena u digitalnim sustavima uvijek skup binarnih kodnih riječi.
Binarne kodne riječi su kodne riječi sastavljene od jednog ili više bitova. Pri tome se svakom simbolu pridjeljuje točno 
jedna kodna riječ. Injektivnost nam je pri tome važna jer želimo biti u stanju na temelju kodne riječi rekonstruirati
informaciju koji simbol ta kodna riječ predstavlja.</p>

<p>Zaštitni kodovi spadaju u jednu specifičnu porodicu kodova: njihovu domenu već čine kodne riječi koje u digitalnom sustavu
imaju određeno značenje. To su podatci s kojima digitalni sustav radi za korisnika korisnu obradu podataka. Ideja zaštitnih
kodova je takve podatke reprezentirati novim kodnim riječima koje će biti korisne u situacijama gdje je moguće da se podatci
pod djelovanjem smetnji promijene, odnosno kada dođe do pogreške.</p>

<p>U nastavku ćemo na jednostavnom primjeru pogledati gdje nam treba zaštitno kodiranje.</p>

